%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 1.1.19
%define release	1mdk

%define realname CUPS
%define modname cups
%define dirname %{modname}
%define soname php%{modname}.so
%define inifile A20_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://www.cups.org
License:	GPL
Source0:	php-%{modname}-%{rversion}.tar.bz2
Requires:	libphp_common%{libversion}
Requires:	php%{libversion}
Requires:	libcups1
BuildRequires:	php%{libversion}-devel
BuildRequires:	cups-devel
BuildRoot:	%{_tmppath}/%{name}-root
Provides: 	ADVXpackage

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep

%setup -q -n php-%{modname}-%{rversion}

%build

%{phpsource}/buildext phpcups "phpcups.c" \
        "`cups-config --libs`" "-DCOMPILE_DL_PHPCUPS \
        -DHAVE_LIBSSL -I%{_includedir}/cups \
	-DCUPS_SERVERROOT=\"`cups-config --serverroot`\""

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > %{buildroot}%{_sysconfdir}/php/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc phpcups.php README README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.1.19-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Jul 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.1.19-1mdk
- initial cooker contrib, ripped and hacked from the cups source
